Bug 524704 - recent KDE_IS_PRELINKED change breaks kde/acpid shutdown handling
Summary: recent KDE_IS_PRELINKED change breaks kde/acpid shutdown handling
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: acpid
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Zdenek Prikryl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-21 19:44 UTC by Sven Lankes
Modified: 2009-10-01 10:39 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-01 10:39:45 UTC


Attachments (Terms of Use)

Description Sven Lankes 2009-09-21 19:44:40 UTC
Description of problem:

kde-powermanagement is set to "suspend to ram when power button pressed".
On powerbutton-press the system suspends. On resume it shuts down.

Additional info:

/etc/acpi/actions/power.sh checks for the process name using basically 

ps axo uid,cmd | awk '{print $2}'

and compares $2 to kded4 but after the recent change the process name is actually: "kdeinit4: kded4 [kdeinit]" so the script only sees kdeinit4 and shuts the system down.

Uncommenting the last four lines from /etc/profile.d/kde4.sh fixes this for me.

Comment 1 Rex Dieter 2009-09-21 19:46:55 UTC
similar to bug #483417

Comment 2 Rex Dieter 2009-09-21 19:48:04 UTC
fwiw, we've toggled enabling/disabling KDE_IS_PRELINKED due to other glibc/prelink related bugosities, see also bug #515539

Comment 3 Steven M. Parrish 2009-09-26 23:10:28 UTC
Still an issue?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Ngo Than 2009-10-01 10:39:45 UTC
this issue is already fixed in latest glibc


Note You need to log in before you can comment on or make changes to this bug.